# TODO:
# - javadoc generation fails with gjdoc

%bcond_without	javadoc		# don't build javadoc

%define		srcname		classpathx_servlet
%include	/usr/lib/rpm/macros.java
Summary:	Alternative Servlet implementation
Summary(pl.UTF-8):	Alternatywna implementacja Java Servlet API
Name:		java-classpathx_servlet
Version:	20000924
Release:	8
License:	LGPL
Group:		Libraries/Java
Source0:	http://www.euronet.nl/~pauls/java/servlet/download/classpathx_servlet-%{version}.tar.gz
# Source0-md5:	a81feddb91b1358f9aaed94e83eddb54
Patch0:		%{name}-gjdoc.patch
URL:		http://www.euronet.nl/~pauls/java/servlet/
BuildRequires:	jdk
BuildRequires:	jpackage-utils
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
Provides:	servlet = 2.0
Provides:	servlet = 2.1
Provides:	servlet = 2.2
Obsoletes:	classpathx_servlet < 20000924-4
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a LGPL'ed implementation of Sun's Java Servlet API version
2.0, version 2.1 and recently there is preliminary support for version
2.2.

%description -l pl.UTF-8
Ten pakiet zawiera wydaną na licencji LGPL implementację Java Servlet
API Suna w wersji 2.0, wersji 2.1 oraz częściowo wersji 2.2.

%package javadoc
Summary:	Online manual for classpathx servlet
Summary(pl.UTF-8):	Dokumentacja online do classpathx servlet
Group:		Documentation
Requires:	jpackage-utils
Obsoletes:	classpathx_servlet-javadoc

%description javadoc
Documentation for classpathx servlet.

%description javadoc -l pl.UTF-8
Dokumentacja Javadoc do classpathx servlet.

%description javadoc -l fr.UTF-8
Javadoc pour classpathx servlet.

%prep
%setup -q -n classpathx_servlet-%{version}

find -name '*.jar' | xargs rm -v
%{!?with_java_sun:%patch0 -p1}

%build
export JAVA_HOME="%{java_home}"
%{__make} -j1 \
	J_COMPILER="%javac -source 1.4"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}

# jars
cp -a servlet-2.0.jar $RPM_BUILD_ROOT%{_javadir}
cp -a servlet-2.1.jar $RPM_BUILD_ROOT%{_javadir}
cp -a servlet-2.2.jar $RPM_BUILD_ROOT%{_javadir}
cp -a servlet_intl-2.0.jar $RPM_BUILD_ROOT%{_javadir}
cp -a servlet_intl-2.1.jar $RPM_BUILD_ROOT%{_javadir}
cp -a servlet_intl-2.2.jar $RPM_BUILD_ROOT%{_javadir}

# javadoc
%if %{with javadoc}
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
cp -a apidoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
rm -rf $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}/{Makefile,CVS}
ln -s %{srcname}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{srcname} # ghost symlink
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -nfs %{srcname}-%{version} %{_javadocdir}/%{srcname}

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog INSTALL README Resources TODO
%{_javadir}/servlet-2.0.jar
%{_javadir}/servlet-2.1.jar
%{_javadir}/servlet-2.2.jar
%{_javadir}/servlet_intl-2.0.jar
%{_javadir}/servlet_intl-2.1.jar
%{_javadir}/servlet_intl-2.2.jar

%if %{with javadoc}
%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{srcname}-%{version}
%ghost %{_javadocdir}/%{srcname}
%endif
%changelog
* Sun Oct 27 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/java-classpathx_servlet.git;a=log;h=master

* Mon Feb 18 2019 Elan Ruusamäe <glen@pld-linux.org> a67389c
- build with 1.4 source

* Sat Feb 01 2014 Elan Ruusamäe <glen@delfi.ee> e97c566
- avoid self-obsoletes; drop old provides

* Fri Apr 23 2010 pawelz <pawelz@pld-linux.org> 5b0ccd8
- Don't force specific jdk.

* Sat Apr 11 2009 pawelz <pawelz@pld-linux.org> 6bcbff8
- added gjdoc path (now it builds with both jdks)
- rel 6

* Sat Apr 11 2009 pawelz <pawelz@pld-linux.org> d1398ec
- fixes javadoc generation with gjdoc

* Sat Apr 11 2009 pawelz <pawelz@pld-linux.org> 238d9ff
- added TODO
- rel 5.1

* Sat Apr 11 2009 pawelz <pawelz@pld-linux.org> 4024c32
- cleanup after rename
- jdk bconds
- javadoc bcond

* Sat Apr 11 2009 Elan Ruusamäe <glen@pld-linux.org> f8d09d8
- release 5

* Mon Feb 02 2009 Elan Ruusamäe <glen@pld-linux.org> e910b40
- Libraries/Java group

* Thu Oct 09 2008 Elan Ruusamäe <glen@pld-linux.org> 9b6e547
- renamed package with java- prefix; rel 4

* Tue Apr 08 2008 Elan Ruusamäe <glen@pld-linux.org> 1b27a80
- this is so old implementation we don't want to provide generic servlet.jar symlink
  rel 3

* Mon Jan 07 2008 Jakub Bogusz <qboosh@pld-linux.org> a3d89be
- pl

* Mon Dec 31 2007 Elan Ruusamäe <glen@pld-linux.org> d7eefad
- rel 2

* Sun Dec 09 2007 Elan Ruusamäe <glen@pld-linux.org> 8b504c6
- rel 1

* Sun Dec 09 2007 Elan Ruusamäe <glen@pld-linux.org> b7756cc
- just call the virtual "servlet"

* Sun Dec 09 2007 Elan Ruusamäe <glen@pld-linux.org> c40a6a0
- new package

